@import url('https://fonts.googleapis.com/css2?family=Fredericka+the+Great&display=swap');
:root {
    background-color: rgb(28, 26, 26)
}
/* ---------  styling Heading */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-size: 62.5%;
    font-family: 'Fredericka the Great', cursive;
}
h1 {
    font-size: 5.4rem;
    color: #fff;
    margin-bottom: 5rem;
    text-shadow: 0 0 3px #1f1d1d, 0 0 5px #08083a;
}
h2 {
    font-size: 3.0rem;
    color: rgb(233, 227, 227);
    margin-bottom: 4rem;
    text-shadow: 0 0 3px #FF0000, 0 0 5px #0000FF;
}
.flex-column {
    display: flex;
    flex-direction: column;
}
.flex-center {
    justify-content: center;
    align-items: center;
}
.justify-center {
    justify-content: center;
}
.text-center {
    text-align: center;
}
.hidden {
    display: none;
}
/* --------- question and answer area */
.container {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 80rem;
    padding: 2rem;
    margin: 0 auto;
}
/* --------- styling buttons */
.btn-grid {
    display: grid;
    align-items: center;
    justify-content: center;
    grid-template-columns: repeat(2, auto);
    gap: 10px;
    margin: auto;
}
.btn {
    color: rgb(255, 255, 255);
    background: linear-gradient(90deg, rgb(18, 92, 255) 0%, rgb(0, 102, 255) 100%);
    width: 30rem;
    padding: 2rem 0;
    font-size: 2.4rem;
    text-align: center;
    margin-bottom: 1rem;
    text-decoration: none;
    outline: rgb(252, 250, 248);
    margin: 0.25em auto;
    border-radius: 4px;
    transition: all 100ms ease-in-out;
}
.btn:hover {
    cursor: pointer;
    box-shadow: 0 0.4rem 1.4rem 0 rgba(6, 103, 247, 0.5);
    transition: transform 150ms;
    transform: scale(1.03);
    border-color: whitesmoke;
}
.btn[disabled]:hover {
    cursor: not-allowed;
    box-shadow: none;
    transform: none;
}
.hide {
    display: none;
}
#highscore-btn {
    background: linear-gradient(90deg, rgb(255, 247, 9)0%, rgb(240, 221, 6) 100%);
    vertical-align: middle;
    color: rgb(28, 26, 26);
}
#highscore-btn:hover {
    box-shadow: 0 0.4rem 1.4rem 0 rgba(255, 255, 0, 0.5)
}
.fa-crown {
    font-size: 2.5rem;
    margin-left: 1rem;
}
#hud {
    display: flex;
    font-size: 2rem;
    margin-bottom: 10%;
}
/* --------- end page */
.end-form-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 30rem;
}
.input {
    margin-bottom: 1rem;
    width: 20rem;
    padding: 1.5rem;
    font-size: 1.8rem;
    border: none;
    box-shadow: 0 0.1rem 1.4rem 0 rgba(86, 185, 235, 0.5);
}
input::placeholder {
    color: beige;
}
#username {
    margin-bottom: 3rem;
    width: 100%;
    outline: none;
}
#end-text {
    font-size: 2.4rem;
    color: white;
    text-align: center;
}
#saveScoreBtn {
    border: none;
}
.fa.home {
    margin-left: 1rem;
    font-size: 2rem;
    color: rgb(28, 26, 26);
}
.end-form-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
input {
    margin-bottom: 1rem;
    width: 20rem;
    padding: 5rem 1em;
    text-align: center;
    font-size: 1.8rem;
    border: none;
    box-shadow: 0 0.1rem 1.4rem 0 rgba(86, 185, 235, 0.5);
}
input::placeholder {
    color: #aaa;
}
#username {
    margin-bottom: 3rem;
    width: 100%;
    outline: none;
}
#saveScoreBtn {
    border: none;
}
.fa-home {
    margin-left: 1rem;
    font-size: 2rem;
    color: rgb(28, 26, 26)
}

